## visad.python
Class RunJPython

    java.lang.Object
      visad.python.RunJPython

public class RunJPython
extends Object

A stand-alone wrapper for launching JPython code.

Field Summary
`protected Object` `python` PythonInterpreter object

Constructor Summary
`RunJPython()` constructs a RunJPython object

Method Summary
`Object` `eval(String line)` evaluates a line of JPython code
`void` `exec(String line)` executes a line of JPython code
`void` `execfile(String filename)` executes the document as JPython source code
`Object` `get(String name)` gets a JPython variable's value
`static void` `main(String[] args)` launches a JPython script
`void` `set(String name, Object value)` sets a JPython variable's value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### python

    protected Object python

  PythonInterpreter object

Constructor Detail

### RunJPython

    public RunJPython()
               throws VisADException

  constructs a RunJPython object

Method Detail

### eval

    public Object eval(String line)
                throws VisADException

  evaluates a line of JPython code

  Throws:
    `VisADException`

### exec

    public void exec(String line)
              throws VisADException

  executes a line of JPython code

  Throws:
    `VisADException`

### execfile

    public void execfile(String filename)
                  throws VisADException

  executes the document as JPython source code

  Throws:
    `VisADException`

### set

    public void set(String name,
                    Object value)
             throws VisADException

  sets a JPython variable's value

  Throws:
    `VisADException`

### get

    public Object get(String name)
               throws VisADException

  gets a JPython variable's value

  Throws:
    `VisADException`

### main

    public static void main(String[] args)
                     throws VisADException

  launches a JPython script

  Throws:
    `VisADException`